libipc-run-perl_0.94-1_all.deb


Advertisement

Description

libipc-run-perl - Perl module for running processes

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libipc-run-perl_0.94-1_all.deb
Package name libipc-run-perl
Package version 0.94
Package release 1
Package architecture all
Package type deb
Category perl
Homepage https://metacpan.org/release/IPC-Run
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 90.06 KB
Installed size 274.00 KB
IPC::Run allows you to run and interact with child processes using
files, pipes, and pseudo-ttys.  Both system()-style and scripted
usages are supported and may be mixed.  Likewise, functional and OO
API styles are both supported and may be mixed.
Various redirection operators reminiscent of those seen on common
Unix and DOS command lines are provided.

Alternatives

Package Version Architecture Repository
libipc-run-perl_0.94-1_all.deb 0.94 all Ubuntu Main
libipc-run-perl - - -

Requires

Name Value
libio-pty-perl -
perl -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libipc-run-perl_0.94-1_all.deb
Source Package libipc-run-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libipc-run-perl deb package:
    # sudo apt-get install libipc-run-perl

Files

Path
/usr/share/doc/libipc-run-perl/changelog.Debian.gz
/usr/share/doc/libipc-run-perl/copyright
/usr/share/doc/libipc-run-perl/examples/factorial
/usr/share/doc/libipc-run-perl/examples/factorial_pipe
/usr/share/doc/libipc-run-perl/examples/factorial_scalar
/usr/share/doc/libipc-run-perl/examples/run_daemon
/usr/share/doc/libipc-run-perl/examples/runsh
/usr/share/doc/libipc-run-perl/examples/runsu
/usr/share/doc/libipc-run-perl/examples/synopsis_scripting
/usr/share/doc/libipc-run-perl/examples/abuse/blocking_debug_with_sub_coprocess
/usr/share/doc/libipc-run-perl/examples/abuse/blocking_writes
/usr/share/doc/libipc-run-perl/examples/abuse/broken_pipe_on_bad_executable_name
/usr/share/doc/libipc-run-perl/examples/abuse/timers
/usr/share/man/man3/IPC::Run.3pm.gz
/usr/share/man/man3/IPC::Run::Debug.3pm.gz
/usr/share/man/man3/IPC::Run::IO.3pm.gz
/usr/share/man/man3/IPC::Run::Timer.3pm.gz
/usr/share/perl5/IPC/Run.pm
/usr/share/perl5/IPC/Run/Debug.pm
/usr/share/perl5/IPC/Run/IO.pm
/usr/share/perl5/IPC/Run/Timer.pm

Changelog

2015-05-10 - gregor herrmann <gregoa@debian.org>
libipc-run-perl (0.94-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ intrigeri ]
* Imported Upstream version 0.94 (Closes: #688314)
* Add debian/upstream/metadata
* debian/copyright: update upstream copyright years.
* Bump debian/compat to 9 and version build-dependency
on debhelper to >= 9 accordingly.
* Declare compliance with Standards-Version 3.9.6.
[ gregor herrmann ]
* Mark package as autopkgtest-able.
* debian/copyright: add stanza for lib/IPC/Run/Win32*.pm.
* Update years of packaging copyright.
2012-08-31 - Salvatore Bonaccorso <carnil@debian.org>
libipc-run-perl (0.92-1) unstable; urgency=low
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Imported Upstream version 0.92
* Update format of debian/copyright file.
Update format to copyright-format 1.0 as released together with Debian
policy 3.9.3.
* Bump Standards-Version to 3.9.3
2012-02-15 - Salvatore Bonaccorso <carnil@debian.org>
libipc-run-perl (0.91-1) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
* Imported Upstream version 0.91
* Update copyright years for debian/* packaging
2011-07-04 - Salvatore Bonaccorso <carnil@debian.org>
libipc-run-perl (0.90-1) unstable; urgency=low
* New upstream release
* Email change: Salvatore Bonaccorso -> carnil@debian.org
* Bump Debhelper compat level to 8.
* debian/control: Bump versioned Build-Depends on debhelper to (>= 8).
* debian/copyright:
- Update copyright years for debian/* packaging. 
- Explicitly point to GPL-1 license text in common-licenses.
- Refer to Debian systems in general instead of only Debian
GNU/Linux systems.
* debian/patches: update hashbang.patch patch header.
* Bump Standards-Version 3.9.2.
2010-04-04 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
libipc-run-perl (0.89-1) unstable; urgency=low
* New upstream release
* Re-add versioned dependencies on libio-pty-perl with epoch in the version
string to be correct now. 
* Drop fix-pod.patch as it is applied upstream.
2010-03-28 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
libipc-run-perl (0.86-1) unstable; urgency=low
[ gregor herrmann ]
* Extend patch hashbang.patch to also fix the path to perl in yet another
example script; thanks to Dario Minnucci for the bug report
(closes: #543673).
[ Salvatore Bonaccorso ]
* New upstream release 
* Add myself to Uploaders. 
* Convert to '3.0 (quilt)' package source format. Drop use of README.source.
Drop use of quilt. 
* Refresh debian/copyright to the current format-specification in revision
135 of DEP5 for machine readable copyright file.
* Minimize debian/rules file and use override targets. Bump required version
on debhelper to (>= 7.0.50). 
* Make Build-Depends-Indep on libio-pty-perl now unversioned. 
* Refresh debian/patches and update headers to DEP3 patch guidelines. 
* Bump Standards-Version to 3.8.4 (no changes needed). 
[ gregor herrmann ]
* Make Depends on libio-pty-perl now unversioned. 
2009-07-19 - Gunnar Wolf <gwolf@debian.org>
libipc-run-perl (0.84-1) unstable; urgency=low
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Gunnar Wolf ]
* New upstream release
* Added myself as an uploader
* Standards version → 3.8.2 (no changes needed)

See Also

Package Description
libipc-signal-perl_1.00-6.2_all.deb utility functions dealing with signals for Perl
libipc-system-simple-perl_1.25-3_all.deb Perl module to run commands simply, with detailed diagnostics
libipmiconsole-dev_1.4.11-1ubuntu1_amd64.deb GNU IPMI - ipmiconsole development package
libipmiconsole2_1.4.11-1ubuntu1_amd64.deb GNU IPMI - Serial-over-Lan library
libipmidetect-dev_1.4.11-1ubuntu1_amd64.deb GNU IPMI - ipmidetect development package
libipmidetect0_1.4.11-1ubuntu1_amd64.deb GNU IPMI - IPMI node detection library
libipmimonitoring-dev_1.4.11-1ubuntu1_amd64.deb GNU IPMI - ipmimonitoring development package
libipmimonitoring5a_1.4.11-1ubuntu1_amd64.deb GNU IPMI - Sensor monitoring library
libipset-dev_6.29-1_amd64.deb development files for IP sets
libipset3_6.29-1_amd64.deb library for IP sets
libirs-export141_9.10.3.dfsg.P4-8_amd64.deb Exported IRS Shared Library
libirs141_9.10.3.dfsg.P4-8_amd64.deb DNS Shared Library used by BIND
libisc-export160_9.10.3.dfsg.P4-8_amd64.deb Exported ISC Shared Library
libisc160_9.10.3.dfsg.P4-8_amd64.deb ISC Shared Library used by BIND
libisccc-export140_9.10.3.dfsg.P4-8_amd64.deb Command Channel Library used by BIND
Advertisement
Advertisement